// MySplitter.cpp: implementation of the CMySplitter class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MySplitter.h"

#include "DynSplitDoc.h"
#include "DynSplitView.h"
#include "StudentList.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMySplitter::CMySplitter()
{

}

CMySplitter::~CMySplitter()
{

}

void CMySplitter::ChangeViewClass( CRuntimeClass *pNewView) 
{
	m_pDynamicViewClass = pNewView;
}

void CMySplitter::DeleteView(int row, int col)
{
	// Set Runtimeclass member to the view
	// which is going to be deleted
	// so that next time the same deleted view will be created

	CView *pView = ( CView*)GetDlgItem(IdFromRowCol(row, col)) ;

	if( pView->IsKindOf( RUNTIME_CLASS ( CDynSplitView ) ) )
	{
		ChangeViewClass( RUNTIME_CLASS ( CDynSplitView)  ) ;
	}
	else
	{
		if( pView->IsKindOf( RUNTIME_CLASS ( CStudentList) ) )
		{
			ChangeViewClass( RUNTIME_CLASS ( CStudentList )  ) ;
		}
	}

	CSplitterWnd::DeleteView( row, col ) ;
}
